- Qt 5.15
- Qt 3D
- C++ Classes
- QTexturedMetalRoughMaterial
- Qt 5.15.18 Reference Documentation

# QTexturedMetalRoughMaterial Class

class Qt3DExtras::QTexturedMetalRoughMaterial

This class is deprecated; use QMetalRoughMaterial instead. More...

Header: | #include <QTexturedMetalRoughMaterial>
qmake: | QT += 3dextras
Since: | Qt 5.9
Inherits: | Qt3DExtras::QMetalRoughMaterial

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Signals

void | ambientOcclusionChanged(const QVariant &ambientOcclusion)
void | normalChanged(const QVariant &normal)

## Detailed Description